# $Revision: 1.22 $, $Date: 2007-02-13 07:16:53 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Class
%define		pnam	Loader
Summary:	Class::Loader - load modules and create objects on demand
Summary(pl.UTF-8):	Class::Loader - wczytywanie modułów i tworzenie obiektów na żądanie
Name:		perl-Class-Loader
Version:	2.03
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	2e2ace3429380e2dad2f0e82137511b8
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Class::Loader is an inheritable class that provides a method, _load(),
to load a module from disk and construct an object by calling its
constructor.

%description -l pl.UTF-8
Class::Loader jest dziedziczoną klasą udostępniającą metodę _load(),
służącą do wczytania modułu z dysku i stworzenia obiektu poprzez
wywołanie jego konstruktora.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Class/Loader.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Class-Loader.spec,v $
Revision 1.22  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.21  2007/02/12 00:49:24  baggins
- converted to UTF-8

Revision 1.20  2005/06/22 15:16:37  czucz
- updated to 2.03

Revision 1.19  2004/11/03 22:30:10  paladine
- formatting

Revision 1.18  2004/06/05 18:10:33  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.17  2004/05/07 00:38:53  ankry
- rel. 5

Revision 1.16  2004/05/06 18:01:26  ankry
- fixed perl-devel BR

Revision 1.15  2004/04/25 20:22:23  ankry
- rel. 4 for Ac

Revision 1.14  2004/04/25 20:20:27  ankry
- tests added

Revision 1.13  2004/04/18 16:55:26  ankry
- better description, license fix

Revision 1.12  2003/08/18 08:08:32  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.11  2003/05/28 13:00:29  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.8  2003/03/01 18:45:58  radek
- should be ready for perl-5.8.0; release++

Revision 1.7  2003/02/25 00:37:38  radek
- use the __perl macro

Revision 1.6  2003/02/18 15:28:06  ankry
- massive attack: change CPAN URLs

Revision 1.5  2002/07/20 10:17:41  qboosh
- new %%doc, longer descriptions; release 2

Revision 1.4  2002/07/10 08:46:36  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.3  2002/05/11 14:28:05  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.2  2002/03/07 19:49:34  kloczek
- cosmetics.

Revision 1.1  2002/03/07 14:22:09  grzegorz
- PLD initial spec
